PlaceObj("BuildingTemplate", {
  "name",
  "OilRefinery",
  "file_name",
  "OilRefinery"
}, {
  PlaceObj("BuildingProperties", {
    "Model",
    "OilRefinery",
    "Flammable",
    false,
    "Name",
    T({
      6279,
      "Oil Refinery"
    }),
    "NamePlural",
    T({
      11619,
      "Oil Refineries"
    }),
    "Description",
    T({
      6280,
      "Oil is sometimes called \"black gold\". Same thing is true for pepper and marmite. Puzzling enough, all of those are not metallic and look nothing like gold. Anyway, this refinery produces the liquid type of black gold and definitely does not produce the spicy and sticky types."
    }),
    "MenuText",
    T({
      6281,
      "Produces Oil and Natural Gas from offshore deposits."
    }),
    "BaseBudgetMin",
    150,
    "BaseBudgetMax",
    300,
    "BasePowerCons",
    30,
    "output_pile",
    "ResourceBarrelsOil",
    "attach_preset",
    "OilRefinerySmoke",
    "AmbientSound",
    "oilrefinery_work_sound"
  }),
  PlaceObj("ExploitOil", nil),
  PlaceObj("Construction", {
    "Research",
    "7.1. Oil",
    "Category",
    "rawresources",
    "Position",
    15,
    "BuildOnSlope",
    true,
    "ConstructionCost",
    14300,
    "ConstructionPoints",
    500,
    "Era",
    3
  }),
  PlaceObj("Pollution", {
    "BaseAmount",
    45,
    "Radius",
    20000
  }),
  PlaceObj("ProductionRaw", {
    "OutputResource",
    "Oil",
    "BaseOutputAmount",
    300,
    "OutputCapacity",
    3000
  }),
  PlaceObj("ProductionRaw", {
    "OutputResource",
    "NaturalGas",
    "BaseOutputAmount",
    300,
    "OutputCapacity",
    3000
  }),
  PlaceObj("StandingComponent", {
    "Type",
    "capitalists",
    "Amount",
    5
  }),
  PlaceObj("StandingComponent", {"Amount", 5}),
  PlaceObj("StandingComponent", {
    "Type",
    "environmentalists",
    "Amount",
    -5
  }),
  PlaceObj("Workplace", {
    "BaseMaxWorkers",
    6,
    "BaseInherentEducationRequired",
    4,
    "BaseInherentWealthProvided",
    10000,
    "BaseMinWorkersOnDuty",
    4,
    "BaseInherentJobQuality",
    100,
    "Manageable",
    true,
    "WorkerProfession",
    "Engineer"
  }),
  PlaceObj("Upgrade", {
    "Id",
    "Discards Bio-fuel",
    "Name",
    T({6286, "Bio-fuel"}),
    "Rollover",
    T({
      25601,
      "Produces Natural Gas based on the number of Plantations and Hydroponic Farms in the area"
    }),
    "StartTurnedOn",
    false,
    "Cost",
    7000,
    "StartingEra",
    4
  }),
  PlaceObj("Upgrade", {
    "Id",
    "Coal Diesel",
    "Name",
    T({
      6284,
      "Coal Diesel"
    }),
    "Rollover",
    T({
      6285,
      "Adds an additional production cycle. The Oil Refinery processes Coal into Oil."
    }),
    "StartTurnedOn",
    false,
    "Cost",
    5500,
    "StartingEra",
    3
  }),
  PlaceObj("Production", {
    "EnabledBy",
    "Coal Diesel",
    "InputResource1",
    "Coal",
    "BaseInputAmount1",
    300,
    "OutputResource",
    "Oil",
    "BaseOutputAmount",
    300
  }),
  PlaceObj("Upgrade", {
    "Id",
    "Petro-Chemicals",
    "Name",
    T({
      6288,
      "Petro-Chemicals"
    }),
    "Rollover",
    T({
      6289,
      "The pollution generated by the Oil Refinery is halved but the building consumes an extra 100 MW of electricity."
    }),
    "StartTurnedOn",
    false,
    "Cost",
    6500,
    "BasePowerConsumed",
    100,
    "StartingEra",
    4
  }),
  PlaceObj("ApplyModifier", {
    "EnabledBy",
    "Petro-Chemicals",
    "Category",
    "Pollution",
    "PropName",
    "Amount",
    "Description",
    T({
      6290,
      "Petro-Chemicals Upgrade"
    }),
    "Percent",
    true,
    "Value",
    -50
  })
})
